%define oname KOSD

Name: kosd
Version: 0.4.1
Release: %mkrel 2
Summary: An application showing OSD to respond volume buttons
License: GPLv2+
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.kde-apps.org/content/show.php?content=81457
Source: http://www.kde-apps.org/CONTENT/content-files/81457-%{name}-%{version}.tar.gz
Patch0: kosd-0.4-fix-build.patch
BuildRequires: kdebase4-workspace-devel
Requires: kmix
Obsoletes: kde3-kvolumeosd < %version
Obsoletes: kde3-kosd < %version

%description
KOSD is a simple KDE application that runs in the background and
responds to volume buttons by showing a little OSD. It delegates the
actual job of adjusting the volume to KMix.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%find_lang kosd --with-html

%clean
rm -rf %buildroot

%if %mdkversion < 200900
%post
%{update_menus}
%update_kde3_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_kde3_icon_cache hicolor
%endif

%files -f kosd.lang
%defattr(-,root,root)
%{_kde_bindir}/*


%changelog
* Fri Sep 11 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.4.1-2mdv2010.0
+ Revision: 438137
- rebuild

* Sat Feb 21 2009 Funda Wang <fundawang@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 343533
- New version 0.4.1

* Thu Feb 19 2009 Funda Wang <fundawang@mandriva.org> 0.4-1mdv2009.1
+ Revision: 342785
- New version 0.4
- kde4 version coming

* Fri Aug 01 2008 Funda Wang <fundawang@mandriva.org> 0.2.3-1mdv2009.0
+ Revision: 259119
- New version 0.2.3

* Wed Jul 30 2008 Funda Wang <fundawang@mandriva.org> 0.2.2-1mdv2009.0
+ Revision: 254587
- New version 0.2.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 04 2008 Funda Wang <fundawang@mandriva.org> 0.2.1-1mdv2009.0
+ Revision: 214973
- Rename to kosd
- new version 0.2.1
- rename to kosd

* Fri May 09 2008 Funda Wang <fundawang@mandriva.org> 0.1-2mdv2009.0
+ Revision: 205328
- fix post and postun script

* Fri May 09 2008 Funda Wang <fundawang@mandriva.org> 0.1-1mdv2009.0
+ Revision: 205299
- fix name
- import source and spec
- Created package structure for kde3-kvolumeosd.

